from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.drawing import XShape

@runtime_checkable
class XShapeGroup(XShape, Protocol):
    def enterGroup(self) -> None: ...
    def leaveGroup(self) -> None: ...
